%define anolis_release 1
%global pypi_name plyfile
%global pypi_version 1.0.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        PLY file reader/writer

License:        GPL-3.0
URL:            https://github.com/dranjan/python-plyfile
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
plyfile Python module provides a simple facility for reading and writing ASCII and binary PLY files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
plyfile Python module provides a simple facility for reading and writing ASCII and binary PLY files.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
* Mon Feb 19 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.0.3-1
- Initial package.